Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DropTargetEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.dnd.DropTargetEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DropTargetDragEvent, DropTargetDropEvent

public class DropTargetEvent
extends EventObject

The `DropTargetEvent` is the base class for both the `DropTargetDragEvent` and the `DropTargetDropEvent`. It encapsulates the current state of the Drag and Drop operations, in particular the current `DropTargetContext`.

Since:
  1.2
See Also:
  Serialized Form

Field Summary
`protected DropTargetContext` | `context` The `DropTargetContext` associated with this `DropTargetEvent`.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DropTargetEvent(DropTargetContext dtc)` Construct a `DropTargetEvent` with a specified `DropTargetContext`.

Method Summary
`DropTargetContext` | `getDropTargetContext()` This method returns the `DropTargetContext` associated with this `DropTargetEvent`.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### context

    protected DropTargetContext context

  The `DropTargetContext` associated with this `DropTargetEvent`.

Constructor Detail

### DropTargetEvent

    public DropTargetEvent(DropTargetContext dtc)

  Construct a `DropTargetEvent` with a specified `DropTargetContext`.

Parameters:
  `dtc` - the `DropTargetContext`

Method Detail

### getDropTargetContext

    public DropTargetContext getDropTargetContext()

  This method returns the `DropTargetContext` associated with this `DropTargetEvent`.

  Returns:
    the `DropTargetContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.